lu = require('luaunit/luaunit')

-- mtmock pulls in all other mocks atm
mtmock = require('mtmock')

-- load in testable code, so the suites don't have to bother with it
dofile(mtmock.MODDIR .. 'lobby/lobby.lua')
dofile(mtmock.MODDIR .. 'lobby/chat.lua')
dofile(mtmock.MODDIR .. 'lobby/stats.lua')
dofile(mtmock.MODDIR .. 'lobby/functions.lua')

-- include all test suites
dofile('suites/lobby_stats.lua')
dofile('suites/lobby_functions.lua')

os.exit(lu.LuaUnit.run())

